.jimu-widget-add-data-categories .jimu-tab3 {
  height: 100%;
}
.jimu-widget-add-data-categories .search-pane,
.jimu-widget-add-data-categories .secondary-pane {
  height: 100%;
  width: 100%;
  background-color: #f8f8f8;
  position: relative;
}
.jimu-widget-add-data-categories .search-pane > *,
.jimu-widget-add-data-categories .secondary-pane > * {
  width: 100%;
}
.jimu-widget-add-data-categories .search-pane-content {
  position: absolute;
  top: 140px;
  bottom: 0;
  overflow: auto;
  background-color: #efefef;
}
.jimu-widget-add-data-categories .search-pane .search-bar {
  padding: 10px 15px;
  line-height: 20px;
}
.jimu-widget-add-data-categories .search-pane .search-bar .btn-group > .btn {
  min-width: 40px;
  padding-top: 10px;
  padding-bottom: 13px;
  background-color: transparent;
  border: 0;
  border-bottom: 2px solid transparent;
  margin-left: 5px;
  margin-right: 5px;
  color: #898989;
  font-size: 12px;
  font-weight: bold;
  font-family: inherit;
}
.jimu-widget-add-data-categories .search-pane .search-bar .btn-group > .btn.active,
.jimu-widget-add-data-categories .search-pane .search-bar .btn-group > .btn.active:active,
.jimu-widget-add-data-categories .search-pane .search-bar .btn-group > .btn.active:hover {
  background-color: transparent !important;
  color: #000 !important;
  border-bottom-color: #24b5cc;
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
  box-shadow: none;
}
.jimu-widget-add-data-categories .search-pane .search-bar.main-search-bar {
  background-color: #fff;
  padding-bottom: 0;
  position: relative;
  display: flex;
}
.jimu-widget-add-data-categories .search-pane .search-scope-options {
  flex: 1;
  overflow: hidden;
}
.jimu-widget-add-data-categories .search-pane .search-bar.search-scope-bar .search-sort-options {
  margin-top: 5px;
}
.jimu-widget-add-data-categories .search-pane .search-bar-secondary {
  background-color: #f8f8f8;
  padding-top: 5px;
  padding-bottom: 5px;
  font-size: 11px;
}
.jimu-widget-add-data-categories .search-pane .search-pane-header {
  border-bottom: 1px solid #cccccc;
}
.jimu-widget-add-data-categories .search-pane .search-pane-header:before,
.jimu-widget-add-data-categories .search-pane .search-pane-header:after {
  content: " ";
  display: table;
}
.jimu-widget-add-data-categories .search-pane .search-pane-header:after {
  clear: both;
}
.jimu-widget-add-data-categories .search-pane .search-bar:before,
.jimu-widget-add-data-categories .search-pane .search-bar:after {
  content: " ";
  display: table;
}
.jimu-widget-add-data-categories .search-pane .search-bar:after {
  clear: both;
}
.jimu-widget-add-data-categories .search-pane .search-data-type-options {
  margin-right: 15px;
}
.jimu-widget-add-data-categories .search-pane .search-curated-option {
  display: inline-block;
  margin-left: 30px;
}
.jimu-widget-add-data-categories .search-pane .search-bar-separator {
  border-bottom: 1px solid #e7e7e7;
}
.jimu-widget-add-data-categories .search-pane .search-pane-default .search-bar {
  text-align: right;
  margin-bottom: 24px;
}
.jimu-widget-add-data-categories .search-pane .search-results-pane {
  padding: 10px 5px;
}
.jimu-widget-add-data-categories .search-pane .search-results-pane:after {
  content: "";
  display: table;
  clear: both;
}
.jimu-widget-add-data-categories .search-pane .item-card {
  float: left;
  width: 100%;
  padding-left: 5px;
  padding-right: 5px;
  -webkit-transition: width 0.1s ease;
  -moz-transition: width 0.1s ease;
  -o-transition: width 0.1s ease;
  transition: width 0.1s ease;
}

.jimu-widget-add-data-categories .search-pane .item-card .item-card-inner {
  height: 70px;
  background: #ffffff;
  border: 1px solid #e0e0e0;
  border-bottom-color: #cccccc;
  padding: 5px;
  margin-bottom: 10px;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}
.jimu-widget-add-data-categories .search-pane .item-card .thumbnail {
  float: left;
  margin-right: 10px;
}

.jimu-widget-add-data-categories .search-pane .item-card .thumbnail img {
  height: 60px;
  width: 90px;
}
.jimu-widget-add-data-categories .search-pane .item-card h3.title {
  /*min-height: 35px;*/
  margin: 0 5px;
  padding: 0;
  font-size: 12px;
  font-weight: bold;
  color: #4c4c4c;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}
.jimu-widget-add-data-categories .search-pane .item-card div.info {
  color: #898989;
  font-size: 10px;
  overflow: hidden;
  white-space: nowrap;
  padding-top: 3px;
}
.jimu-widget-add-data-categories .search-pane .item-card .action-bar,
.jimu-widget-add-data-categories .secondary-pane .action-bar {
  text-align: right;
}
.jimu-rtl .jimu-widget-add-data-categories .search-pane .item-card .action-bar,
.jimu-rtl .jimu-widget-add-data-categories .secondary-pane .action-bar {
  text-align: left;
}
.jimu-widget-add-data-categories .secondary-pane {
  padding: 20px 15px;
  overflow: auto;
}
.jimu-widget-add-data-categories .secondary-pane label {
  color: #898989;
  display: block;
  margin-bottom: 10px;
}
.jimu-widget-add-data-categories .secondary-pane .dijit {
  margin-bottom: 10px;
}
.jimu-widget-add-data-categories .secondary-pane div.action-bar {
  margin-top: 20px;
}
.jimu-widget-add-data-categories .secondary-pane .jimu-btn {
  color: #fff;
  line-height: 20px;
  text-decoration: none;
}
.jimu-widget-add-data-categories .secondary-pane .jimu-btn:active {}
.jimu-widget-add-data-categories .search-pane .item-card .action-bar a,
.jimu-widget-add-data-categories .add-url-pane .action-bar a,
.jimu-widget-add-data-categories .add-file-pane .file-form label {
  display: inline-block;
  font-size: 11px;
  text-transform: uppercase;
  padding: 5px;
  margin-right: 5px;
}
.jimu-widget-add-data-categories .search-pane .item-card .action-bar a.disabled,
.jimu-widget-add-data-categories .add-url-pane .action-bar a.disabled,
.jimu-widget-add-data-categories .add-file-pane .file-form label.disabled,
.jimu-widget-add-data-categories .add-file-pane .drop-area.disabled {
  opacity: 0.3;
}
.jimu-widget-add-data-categories .search-pane .item-card .action-bar .message {
  font-size: 10px;
  font-style: italic;
  margin-left: 4px;
  margin-right: 4px;
}
.jimu-widget-add-data-categories .add-url-pane .action-bar .jimu-btn,
.jimu-widget-add-data-categories .add-file-pane .file-form label {
  margin-right: 0;
  min-width: 180px;
  white-space: normal;
}
.jimu-widget-add-data-categories .add-url-pane {
  padding: 0;
}
.jimu-widget-add-data-categories .add-url-pane-container {
  background-color: #fff;
  border-bottom: 1px solid #ccc;
  padding: 15px 15px 35px;
}
.jimu-widget-add-data-categories .add-url-pane-container--inner {
  max-width: 960px;
  margin: 0 auto;
}
.jimu-widget-add-data-categories .add-file-pane .intro ul {
  font-size: 10px;
  margin: 0;
  padding: 2px 0 2px 20px;
}
.jimu-widget-add-data-categories .add-file-pane .intro ul .note {
  font-style: italic;
}
.jimu-rtl .jimu-widget-add-data-categories .add-file-pane .intro ul {
  padding: 2px 20px 2px 0;
}
.jimu-widget-add-data-categories .add-file-pane .generalize-options .jimu-checkbox .checkbox {
  margin-top: 0;
  vertical-align: middle;
}
.jimu-widget-add-data-categories .add-file-pane .generalize-options .jimu-checkbox .label {
  font-size: 12px;
  vertical-align: middle;
  cursor: pointer;
}
.jimu-widget-add-data-categories .add-file-pane .browse-or-drop {
  /*text-align: center;*/
}
.jimu-widget-add-data-categories .add-file-pane .or {
  display: block;
  margin: 20px auto;
  font-size: 11px;
  color: #898989;
  width: 90%;
  max-width: 400px;
  line-height: 20px;
  position: relative;
}
.jimu-widget-add-data-categories .add-file-pane .or:before,
.jimu-widget-add-data-categories .add-file-pane .or:after {
  content: "";
  display: block;
  height: 1px;
  width: 35%;
  background: #eee;
  position: absolute;
  top: 9px;
  left: 0;
}
.jimu-widget-add-data-categories .add-file-pane .or:after {
  right: 0;
  left: auto;
}
.jimu-widget-add-data-categories .add-file-pane .or b {
  display: inline-block;
  padding-right: 5px;
}
.jimu-widget-add-data-categories .add-file-pane .drop-area {
  width: 100%;
  background: #fff;
  margin: 10px auto 0;
  padding: 25px 50px 35px;
  border: 1px dashed #ccc;
  color: #898989;
  font-size: 12px;
  text-align: center;
  line-height: 1.75;
  text-transform: uppercase;
  position: relative;
  -moz-border-radius: 5px;
  -webkit-border-radius: 5px;
  border-radius: 5px;
  -webkit-transition: opacity ease-in-out 0.15s;
  -moz-transition: opacity ease-in-out 0.15s;
  -o-transition: opacity ease-in-out 0.15s;
  transition: opacity ease-in-out 0.15s;
}
.jimu-widget-add-data-categories .add-file-pane .drop-area i {
  color: #485566;
  font-style: normal;
}
.jimu-widget-add-data-categories .add-file-pane .drop-area a.drop-area-hint {
  position: absolute;
  top: 0;
  right: 0;
  margin: 5px;
  padding: 10px;
  font-size: 14px;
  line-height: 1;
}
.jimu-widget-add-data-categories .add-file-pane .drop-area.hit {
  background: #f9f9f9;
  border-color: #24b5cc; /* #24b5cc #90ee90 */
}
.jimu-widget-add-data-categories .add-file-pane .drop-area.hit > * {
  pointer-events: none; /* so that children don't fire dragenter/dragleave */
  display: none;
}
.jimu-widget-add-data-categories .add-file-pane .drop-area.hit .supported-file-types {
  display: block;
}
.jimu-widget-add-data-categories .add-file-pane .drop-area.hit .upload-arrow {
  display: block;
  width: 48px;
  height: 48px;
  background: url(images/arrow_up.png) no-repeat;
  margin: 0 auto;
  -moz-animation: updload-arrow-animation 1s infinite;
  -webkit-animation: updload-arrow-animation 1s infinite;
  animation: updload-arrow-animation 1s infinite;
}
.jimu-widget-add-data-categories .add-file-pane .drop-area .supported-file-types {
  margin: 15px 0 35px;
  opacity: .5;
  pointer-events: none;
  -webkit-transition: opacity ease-in-out 0.15s;
  -moz-transition: opacity ease-in-out 0.15s;
  -o-transition: opacity ease-in-out 0.15s;
  transition: opacity ease-in-out 0.15s;
}
.jimu-widget-add-data-categories .add-file-pane .drop-area .supported-file-types img {
  width: 45px;
  margin-left: -5px;
  position: relative;
  -webkit-transition: all ease-in-out 0.2s;
  -moz-transition: all ease-in-out 0.2s;
  -o-transition: all ease-in-out 0.2s;
  transition: all ease-in-out 0.2s;
}

.jimu-widget-add-data-categories .add-file-pane .drop-area .supported-file-types img.first-type-icon {
  -moz-transform: rotate(-8deg);
  -moz-transform-origin: right bottom;
  -webkit-transform: rotate(-8deg);
  -webkit-transform-origin: right bottom;
  -o-transform: rotate(-8deg);
  -o-transform-origin: right bottom;
  transform: rotate(-8deg);
  transform-origin: right bottom;
  bottom: -1px;
}
.jimu-widget-add-data-categories .add-file-pane .drop-area .supported-file-types img.second-first-type-icon {
  -moz-transform: rotate(-3deg);
  -moz-transform-origin: right bottom;
  -webkit-transform: rotate(-3deg);
  -webkit-transform-origin: right bottom;
  -o-transform: rotate(-3deg);
  -o-transform-origin: right bottom;
  transform: rotate(-3deg);
  transform-origin: right bottom;
}
.jimu-widget-add-data-categories .add-file-pane .drop-area .supported-file-types img.second-last-type-icon {
  -moz-transform: rotate(3deg);
  -moz-transform-origin: left bottom;
  -webkit-transform: rotate(3deg);
  -webkit-transform-origin: left bottom;
  -o-transform: rotate(3deg);
  -o-transform-origin: left bottom;
  transform: rotate(3deg);
  transform-origin: left bottom;
}
.jimu-widget-add-data-categories .add-file-pane .drop-area .supported-file-types img.last-type-icon {
  -moz-transform: rotate(8deg);
  -moz-transform-origin: left bottom;
  -webkit-transform: rotate(8deg);
  -webkit-transform-origin: left bottom;
  -o-transform: rotate(8deg);
  -o-transform-origin: left bottom;
  transform: rotate(8deg);
  transform-origin: left bottom;
  bottom: -1px;
}
.jimu-widget-add-data-categories .add-file-pane .drop-area.hit .supported-file-types {
  opacity: 1;
}
.jimu-widget-add-data-categories .add-file-pane .drop-area.hit .supported-file-types img {
  margin-left: 0px;
}
.jimu-widget-add-data-categories .add-file-pane .drop-area.hit .supported-file-types img.first-type-icon {
  -moz-transform: rotate(-12deg);
  -webkit-transform: rotate(-12deg);
  -o-transform: rotate(-12deg);
  transform: rotate(-12deg);
  bottom: -3px;
}
.jimu-widget-add-data-categories .add-file-pane .drop-area.hit .supported-file-types img.second-first-type-icon {
  -moz-transform: rotate(-5deg);
  -webkit-transform: rotate(-5deg);
  -o-transform: rotate(-5deg);
  transform: rotate(-5deg);
}
.jimu-widget-add-data-categories .add-file-pane .drop-area.hit .supported-file-types img.second-last-type-icon {
  -moz-transform: rotate(5deg);
  -webkit-transform: rotate(5deg);
  -o-transform: rotate(5deg);
  transform: rotate(5deg);
}
.jimu-widget-add-data-categories .add-file-pane .drop-area.hit .supported-file-types img.last-type-icon {
  -moz-transform: rotate(12deg);
  -webkit-transform: rotate(12deg);
  -o-transform: rotate(12deg);
  transform: rotate(12deg);
  bottom: -3px;
}
.jimu-widget-add-data-categories .add-file-pane .file-form {
  display: inline-block;
}

/* Urban ....................................................................*/
.jimu-widget-add-data-categories .search-box2 {
  display: inline-block;
}
.jimu-widget-add-data-categories .search-box2 {
  float: right;
}
.jimu-widget-add-data-categories .search-box2 .search-textbox {
  vertical-align: middle;
  height: 30px;
  width: 200px;
  padding: 5px 10px;
  font-size: 12px;
  line-height: 1.5;
  background-color: #ffffff;
  background-image: none;
  border: 1px solid #cccccc;
  -moz-border-radius: 0;
  -webkit-border-radius: 0;
  border-radius: 0;
  -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
  -moz-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
  box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
  -webkit-transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
  -moz-transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
  -o-transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
  transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
}
.jimu-widget-add-data-categories .search-box2 .btn {
  display: inline-block;
  height: 30px;
  margin-left: -1px;
  margin-bottom: 0;
  font-weight: normal;
  text-align: center;
  vertical-align: middle;
  touch-action: manipulation;
  cursor: pointer;
  color: #196fa6;
  background-color: #ffffff;
  background-image: none;
  border: 1px solid #cccccc;
  padding: 5px 10px;
  white-space: nowrap;
  font-size: 12px;
  line-height: 1.5;
  -moz-border-radius: 0;
  -webkit-border-radius: 0;
  border-radius: 0;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}
.jimu-widget-add-data-categories.width-small .search-box2 .search-textbox {
  width: 150px;
}
.jimu-widget-add-data-categories.width-small .add-file-pane .or:before,
.jimu-widget-add-data-categories.width-small .add-file-pane .or:after {
  width: 25%;
}
.jimu-widget-add-data-categories.width-medium .search-box2 .search-textbox {
  width: 140px;
}
.jimu-widget-add-data-categories.width-medium .filter-wrapper .sort-prompt,
.jimu-widget-add-data-categories.width-small .filter-wrapper .sort-prompt {
  display: none;
}
.jimu-widget-add-data-categories.width-medium .search-pane .search-results-pane {
  padding: 5px 0;
}
.jimu-widget-add-data-categories.width-medium .search-pane .item-card .item-card-inner {
  margin-bottom: 5px;
}
.jimu-widget-add-data-categories.height-small .add-file-pane {
  padding-top: 15px;
  padding-bottom: 15px;
}
.jimu-widget-add-data-categories.height-small .add-file-pane .drop-area {
  padding-top: 15px;
  padding-bottom: 25px;
}
.jimu-widget-add-data-categories.height-small .add-file-pane .drop-area .supported-file-types {
  margin-bottom: 20px;
}
.jimu-widget-add-data-categories .search-bbox-option .checkbox-inline,
.jimu-widget-add-data-categories .search-bbox-option .checkbox-inline input,
.jimu-widget-add-data-categories .search-pane .filter-placeholder {
  cursor: pointer;
}
.jimu-widget-add-data-categories.width-small .search-bbox-option {
    max-width: 120px;
    font-size: 10px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}
.jimu-widget-add-data-categories.width-small .search-bbox-option .switch-toggle-group {
    overflow: hidden;
    text-overflow: ellipsis;
}
/* ......................................................................... */

.jimu-widget-add-data-categories .search-pane .search-bbox-option .checkbox-inline {
  padding-left: 38px;
  margin-right: 25px;
}
.jimu-widget-add-data-categories .search-pane .search-box .input-group {
  position: relative;
  display: table;
  border-collapse: separate;
}
.jimu-widget-add-data-categories .search-pane .search-box .input-group > * {
  display: table-cell;
  vertical-align: middle;
}
.jimu-widget-add-data-categories .search-pane .search-box .search-textbox {
  height: 30px;
  width: 200px;
  padding: 5px 10px;
  font-size: 12px;
  line-height: 1.5;
  background-color: #ffffff;
  background-image: none;
  border: 1px solid #cccccc;
  -moz-border-radius: 0;
  -webkit-border-radius: 0;
  border-radius: 0;
  -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
  -moz-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
  box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
  -webkit-transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
  -moz-transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
  -o-transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
  transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
}
.jimu-widget-add-data-categories .search-pane .search-box .btn {
  display: inline-block;
  margin-left: -1px;
  margin-bottom: 0;
  font-weight: normal;
  text-align: center;
  vertical-align: middle;
  touch-action: manipulation;
  cursor: pointer;
  color: #196fa6;
  background-color: #ffffff;
  background-image: none;
  border: 1px solid #cccccc;
  padding: 5px 10px;
  white-space: nowrap;
  font-size: 12px;
  line-height: 1.5;
  -moz-border-radius: 0;
  -webkit-border-radius: 0;
  border-radius: 0;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}
.jimu-widget-add-data-categories .search-pane .search-box .btn-clear {
  border-color: transparent;
  background: transparent;
  position: absolute;
  left: -32px;
}
.jimu-widget-add-data-categories .search-pane .search-box-placeholder,
.jimu-widget-add-data-categories .search-pane .filter-placeholder,
.jimu-widget-add-data-categories .search-pane .scope-placeholder {
  display: none;
}
.jimu-widget-add-data-categories .search-pane .search-sort-options > * {
  vertical-align: middle;
}
.jimu-widget-add-data-categories .search-pane .search-sort-options label {
  font-weight: normal;
  font-size: 11px;
  color: #898989;
}
.jimu-widget-add-data-categories .search-pane .search-sort-options .sort-order-icon {
  float: right;
  width: 24px;
  height: 24px;
  margin: 3px 0;
}

.jimu-widget-add-data-categories .search-pane .search-sort-options .dropdown-toggle .sort-order-icon {
  float: none;
  padding: 0 5px;
}
.jimu-widget-add-data-categories .search-pane .sort-order-icon {
  background-image: url("images/down-arrow.png");
  background-position: center center;
  background-repeat: no-repeat;
  width: 16px;
  height: 16px;
  background-image: url("images/sort-down-arrow.png");
}
.jimu-widget-add-data-categories .search-pane .sort-order-icon.descending {
  background-image: url("images/sort-up-arrow.png");
}
.jimu-widget-add-data-categories .search-pane .scope-options > * {
  display: inline-block;
}
.jimu-widget-add-data-categories .search-pane .checkbox-inline,
.jimu-widget-add-data-categories .search-pane .radio-inline {
  position: relative;
  padding-left: 21px;
  margin-right: 10px;
}
.jimu-widget-add-data-categories .search-pane .checkbox-inline .dijitCheckBox,
.jimu-widget-add-data-categories .search-pane .radio-inline .dijitCheckBox {}
.jimu-widget-add-data-categories .search-pane .search-item-ratings-comments-views {
  display: block;
  padding: 5px;
}
.jimu-widget-add-data-categories .search-pane .search-item-ratings-comments-views [class*="gd-icon-"] {
  margin-right: 10px;
  vertical-align: middle;
}
.jimu-widget-add-data-categories .search-pane .search-paging .pagination {
  margin: 0;
}
.jimu-widget-add-data-categories .search-pane .search-paging,
.jimu-widget-add-data-categories .search-pane .search-result-count {
  display: inline-block;
  vertical-align: middle;
  line-height: 1;
}
.jimu-widget-add-data-categories .search-pane .pagination > li > span,
.jimu-widget-add-data-categories .search-pane .pagination > li > span:focus,
.jimu-widget-add-data-categories .search-pane .pagination > li > span:hover {
  color: inherit;
  border-color: transparent;
  background-color: transparent;
}
.jimu-widget-add-data-categories .search-pane .pagination > li.current-page > span {
  padding-left: 15px;
  padding-right: 15px;
}
.jimu-widget-add-data-categories .search-pane .pagination [class*=" esri-icon-"],
.jimu-widget-add-data-categories .search-pane .pagination [class^="esri-icon-"] {
  position: relative;
  top: 1px;
}
.jimu-widget-add-data-categories .search-pane .search-result-count {
  margin: 0 10px;
}
.jimu-widget-add-data-categories.width-768 .item-card {
  width: 50%;
}
.jimu-widget-add-data-categories.width-1200 .item-card {
  width: 33.3333333333%;
}
.jimu-widget-add-data-categories.width-medium .search-pane .search-bar,
.jimu-widget-add-data-categories.width-small .search-pane .search-bar {
  padding-left: 5px;
  padding-right: 5px;
}
.jimu-widget-add-data-categories.width-medium .search-pane .search-bar .btn-group > .btn,
.jimu-widget-add-data-categories.width-small .search-pane .search-bar .btn-group > .btn {
  margin-left: 0;
}
.jimu-rtl .jimu-widget-add-data-categories.width-medium .search-pane .search-bar .btn-group > .btn,
.jimu-rtl .jimu-widget-add-data-categories.width-small .search-pane .search-bar .btn-group > .btn {
  margin-left: auto;
  margin-right: 0;
}
.jimu-widget-add-data-categories.width-medium .search-box-placeholder,
/* .jimu-widget-add-data-categories.width-medium .filter-placeholder, Urban */
/* .jimu-widget-add-data-categories.width-small .filter-placeholder, Urban */
.jimu-widget-add-data-categories.width-small .search-box-placeholder,
.jimu-widget-add-data-categories.filter-placeholder-on .filter-placeholder {
  display: block;
  height: 30px;
  width: 30px;
  background-image: url("images/search.png");
  background-position: center center;
  background-repeat: no-repeat;
  background-size: 12px;
}
.jimu-widget-add-data-categories.width-medium .search-box,
.jimu-widget-add-data-categories.width-small .search-box {
  display: none;
  padding: 10px;
  position: absolute;
  top: 0;
  left: 0;
  right: 40px;
  background: #ffffff;
}
.jimu-widget-add-data-categories.width-small .search-box {
  padding-top: 8px;
  padding-bottom: 8px;
}
.jimu-widget-add-data-categories.width-medium .search-box .input-group,
.jimu-widget-add-data-categories.width-small .search-box .input-group {
  width: 100%;
}
.jimu-widget-add-data-categories.width-medium .search-box .search-textbox,
.jimu-widget-add-data-categories.width-small .search-box .search-textbox {
  width: 100%;
}
.jimu-widget-add-data-categories.width-medium .search-box .search-btn,
.jimu-widget-add-data-categories.width-small .search-box .search-btn {
  width: 1%;
  position: relative;
}
.jimu-widget-add-data-categories.width-medium .search-box.show,
.jimu-widget-add-data-categories.width-small .search-box.show {
  display: block;
}
.jimu-widget-add-data-categories.width-medium .search-box-placeholder,
.jimu-widget-add-data-categories.width-small .search-box-placeholder {
  margin: 0 0 8px;
}
.jimu-widget-add-data-categories.width-medium .search-box-placeholder.opened,
.jimu-widget-add-data-categories.width-small .search-box-placeholder.opened {
  background-image: url("images/close.png");
}
.jimu-widget-add-data-categories.width-medium .filter-placeholder,
.jimu-widget-add-data-categories.width-small .filter-placeholder {
  background-image: url("images/menu.png");
}
.jimu-widget-add-data-categories.width-medium .scope-placeholder,
.jimu-widget-add-data-categories.width-small .scope-placeholder {
  display: block;
  padding: 5px 10px 15px;
  color: #196fa6;
  font-weight: bold;
}
.jimu-widget-add-data-categories.width-small .scope-placeholder {
  display: flex;
}
.jimu-widget-add-data-categories.width-small .scope-placeholder > span:first-child {
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
  width: calc(100% - 16px);
  flex: 1;
}
.jimu-widget-add-data-categories.width-medium .scope-placeholder:focus,
.jimu-widget-add-data-categories.width-small .scope-placeholder:focus {
  text-decoration: none;
}
.jimu-widget-add-data-categories.width-medium .scope-placeholder > *,
.jimu-widget-add-data-categories.width-small .scope-placeholder > * {
  vertical-align: middle;
}
.jimu-widget-add-data-categories.width-medium .scope-placeholder .dropdown-arrow,
.jimu-widget-add-data-categories.width-small .scope-placeholder .dropdown-arrow {
  display: inline-block;
  background-image: url("images/down-arrow.png");
  background-position: center center;
  background-repeat: no-repeat;
  width: 16px;
  height: 16px;
}
/*.jimu-widget-add-data-categories.width-medium .filter-wrapper, Urban */
/* .jimu-widget-add-data-categories.width-small .filter-wrapper, Urban */
.jimu-widget-add-data-categories.width-medium .btn-group,
.jimu-widget-add-data-categories.filter-placeholder-on .filter-wrapper,
.jimu-widget-add-data-categories.width-small .btn-group {
  display: none;
}
.jimu-widget-add-data-categories.width-medium .filter-wrapper.show,
.jimu-widget-add-data-categories.width-medium .btn-group.show,
.jimu-widget-add-data-categories.width-small .filter-wrapper.show,
.jimu-widget-add-data-categories.width-small .btn-group.show {
  display: block;
  position: absolute;
  right: 0;
  top: 91px;
  z-index: 10;
  padding: 5px 10px;
  background: #ffffff;
  border: 1px solid #cccccc;
  -webkit-box-shadow: 0 3px 5px 0 rgba(0, 0, 0, 0.2);
  -moz-box-shadow: 0 3px 5px 0 rgba(0, 0, 0, 0.2);
  box-shadow: 0 3px 5px 0 rgba(0, 0, 0, 0.2);
}
.jimu-rtl .jimu-widget-add-data-categories.width-medium .filter-wrapper.show,
.jimu-rtl .jimu-widget-add-data-categories.width-medium .btn-group.show,
.jimu-rtl .jimu-widget-add-data-categories.width-small .filter-wrapper.show,
.jimu-rtl .jimu-widget-add-data-categories.width-small .btn-group.show {
  left: 0;
  right: auto;
}
.jimu-widget-add-data-categories.width-medium .btn-group.show,
.jimu-widget-add-data-categories.width-small .btn-group.show {
  top: 48px;
  left: 0;
  padding: 0;
  right: auto;
  min-width: 50%;
}
.jimu-rtl .jimu-widget-add-data-categories.width-medium .btn-group.show,
.jimu-rtl .jimu-widget-add-data-categories.width-small .btn-group.show {
  left: auto;
  right: 0;
}
.jimu-widget-add-data-categories.width-medium .btn-group.show .btn,
.jimu-widget-add-data-categories.width-small .btn-group.show .btn {
  display: block;
  width: 100%;
  padding: 10px 15px;
  border: 0;
  font-weight: normal;
}
.jimu-widget-add-data-categories.width-medium .btn-group.show .btn:hover,
.jimu-widget-add-data-categories.width-small .btn-group.show .btn:hover {
  background-color: #f4f4f4;
}
.jimu-widget-add-data-categories.width-medium .btn-group.show .btn.active,
.jimu-widget-add-data-categories.width-medium .btn-group.show .btn.active:hover,
.jimu-widget-add-data-categories.width-small .btn-group.show .btn.active,
.jimu-widget-add-data-categories.width-small .btn-group.show .btn.active:hover {
  background-color: #196fa6 !important;
  color: #fff !important;
}
.jimu-widget-add-data-categories.width-small .jimu-tab3 .tab-item-td {
  padding-left: 20px;
  padding-right: 20px;
}
.jimu-widget-add-data-categories.width-small .search-pane .search-bar {
  padding-top: 5px;
  padding-left: 5px;
  padding-right: 5px;
}
.jimu-widget-add-data-categories.width-small .search-pane .search-bar .btn-group > .btn {
  margin: 0;
  padding-left: 5px;
  padding-right: 5px;
  font-size: 11px;
}
.jimu-widget-add-data-categories.width-small .search-pane .search-results-pane {
  padding: 0;
  overflow: hidden;
}
.jimu-widget-add-data-categories.width-small .search-pane .item-card {
  padding-left: 0;
  padding-right: 0;
}
.jimu-widget-add-data-categories.width-small .search-pane .item-card .item-card-inner {
  margin-bottom: 0;
  border-top: 0;
  border-left: 0;
  border-right: 0;
  border-bottom-color: #e0e0e0;
}
.add-data-categories-widget-popup .search-type-option {
  display: flex;
  align-items: center;
}
.add-data-categories-widget-popup .search-type-option + .search-type-option {
  margin-top: 10px;
}
.add-data-categories-widget-popup .search-type-option .jimu-checkbox {
  margin-right: 5px;
}
.jimu-rtl .add-data-categories-widget-popup .search-type-option .jimu-checkbox {
  margin-right: auto;
  margin-left: 5px;
}
.add-data-categories-widget-popup .search-type-option,
.add-data-categories-widget-popup .search-type-option input {
  cursor: pointer;
}

.jimu-widget-add-data-categories {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  padding-top: 5px;
}
.jimu-widget-add-data-categories .btn.hidden {
  visibility: hidden;
}
.jimu-widget-add-data-categories .search-bbox-option,
.jimu-widget-add-data-categories .search-box {
  display: inline-block;
}
.jimu-widget-add-data-categories .search-box,
.jimu-widget-add-data-categories .search-box-placeholder {
  float: right;
}

.jimu-widget-add-data-categories .search-scope-options,
.jimu-widget-add-data-categories .search-sort-options {
  display: inline-block;
}
.jimu-widget-add-data-categories .search-data-type-options {
  float: left;
}

.jimu-widget-add-data-categories .filter-wrapper,
.jimu-widget-add-data-categories .filter-placeholder {
  float: right;
}

.jimu-widget-add-data-categories .search-scope-options button.active {
  background-color: #cce6ff;
}
.jimu-widget-add-data-categories .search-results-pane {
  overflow-y: auto;
}
.jimu-widget-add-data-categories .search-paging,
.jimu-widget-add-data-categories .search-result-count {
  display: inline-block;
}
.jimu-widget-add-data-categories .search-paging ul {
  margin: 0;
  padding: 0;
}
.jimu-widget-add-data-categories .search-paging li {
  display: inline-block;
}
.jimu-widget-add-data-categories .search-paging li.disabled a,
.jimu-widget-add-data-categories .search-paging li.disabled a:hover,
.jimu-widget-add-data-categories .search-paging li.disabled a:active,
.jimu-widget-add-data-categories .search-paging li.disabled a:focus {
  cursor: default;
  opacity: 0.35;
}
.jimu-widget-add-data-categories .search-item-card .action-bar {
  margin-left: 20px;
}
.jimu-widget-add-data-categories .search-item-card .action-bar a {
  margin-right: 8px;
}
.jimu-widget-add-data-categories .dijitDropDownButton {
  margin: 0;
}
.jimu-widget-add-data-categories .dijitSelect,
.jimu-widget-add-data-categories .dijitDropDownButton .dijitButtonNode {
  background: transparent;
  border: 0;
  padding: 7px 5px;
  color: #196fa6;
  font-weight: bold;
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
  box-shadow: none;
  -moz-border-radius: 0;
  -webkit-border-radius: 0;
  border-radius: 0;
}
.jimu-widget-add-data-categories .dijitSelect .dijitButtonContents,
.jimu-widget-add-data-categories .dijitDropDownButton .dijitButtonNode .dijitButtonContents {
  border-color: transparent;
}
.jimu-widget-add-data-categories .dijitSelect .dijitInputField,
.jimu-widget-add-data-categories .dijitDropDownButton .dijitButtonNode .dijitInputField {
  padding: 0 5px;
}
.jimu-widget-add-data-categories .dijitSelect .dijitArrowButton,
.jimu-widget-add-data-categories .dijitDropDownButton .dijitButtonNode .dijitArrowButton {
  background: transparent;
  border: 0;
}
.jimu-widget-add-data-categories .dijitSelect.dijitSelectFocused .dijitArrowButton,
.jimu-widget-add-data-categories .dijitDropDownButton .dijitButtonNode.dijitSelectFocused .dijitArrowButton {
  padding: 0;
}
.jimu-widget-add-data-categories .dijitSelect .dijitArrowButton .dijitArrowButtonInner,
.jimu-widget-add-data-categories .dijitSelectHover .dijitArrowButton .dijitArrowButtonInner,
.jimu-widget-add-data-categories .dijitSelectFocused .dijitArrowButton .dijitArrowButtonInner {
  background-image: url("images/down-arrow.png");
  background-position: center center;
  background-repeat: no-repeat;
  width: 16px;
  height: 16px;
}
.jimu-widget-add-data-categories .dijitDropDownButton .dijitArrowButtonInner {
  background-image: url("images/down-arrow.png");
  background-position: center center;
  background-repeat: no-repeat;
  width: 16px;
  height: 16px;
}
.jimu-widget-add-data-categories-dialog {
  background-color: #FFFFFF !important;
  border-color: #555555 !important;
  -moz-border-radius: 5px;
  -webkit-border-radius: 5px;
  border-radius: 5px;
  -webkit-box-shadow: 0 0 5px rgba(0, 0, 0, 0.35) !important;
  -moz-box-shadow: 0 0 5px rgba(0, 0, 0, 0.35) !important;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.35) !important;
}
.jimu-widget-add-data-categories-dialog .dijitDialogPaneContent {
  border-top: 1px solid #cccccc;
}
.jimu-widget-add-data-categories-dialog .dijitDialogTitleBar {
  background: none repeat scroll 0 0 rgba(0, 0, 0, 0);
  background-color: #FFFFFF;
  -moz-border-radius: 3px 3px 0 0;
  -webkit-border-radius: 3px 3px 0 0;
  border-radius: 3px 3px 0 0;
}
.jimu-widget-add-data-categories-dialog .dijitDialogTitle {
  background-color: #FFFFFF;
  color: #000000;
  font-size: 16px;
  font-weight: bold;
}
.jimu-widget-add-data-categories-dialog div.gap {
  margin-top: 20px;
}
.jimu-widget-add-data-categories-dialog div.small-gap {
  margin-top: 4px;
}
.jimu-widget-add-data-categories-dialog div.action-bar {
  margin-top: 10px;
}
.jimu-widget-add-data-categories-dialog .url-textbox {
  height: 30px;
  width: 200px;
  padding: 5px 10px;
  font-size: 12px;
  line-height: 1.5;
  background-color: #ffffff;
  background-image: none;
  border: 1px solid #cccccc;
  -moz-border-radius: 0;
  -webkit-border-radius: 0;
  border-radius: 0;
  -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
  -moz-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
  box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
  -webkit-transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
  -moz-transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
  -o-transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
  transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
}
.jimu-widget-add-data-categories-dialog .url-textbox-wide {
  width: 500px;
}
.jimu-widget-add-data-categories-dialog .examples {
  font-size: 9px;
  font-style: italic;
  margin-top: 4px;
  margin-left: 4px;
  opacity: 0.5;
}

/*style of AddFromUrlPane.html*/

.jimu-widget-add-data-categories .btn-link {
  color: #196fa6 !important;
}
.jimu-widget-add-data-categories .switch-toggle-group {
  padding: 5px;
}
.jimu-widget-add-data-categories .switch-toggle-group .checkbox-inline {
  padding-left: 36px;
  vertical-align: top;
}
.jimu-widget-add-data-categories .switch-toggle-group .switch-toggle.dijitCheckBox {
  margin-left: -36px;
}

.jimu-widget-add-data-categories .switch-toggle.dijitCheckBox {
  height: 16px;
  width: 28px;
  border: 0 none;
  background: #e04f1d;
  position: relative;
  display: inline-block;
  cursor: pointer;
  -moz-border-radius: 10px;
  -webkit-border-radius: 10px;
  border-radius: 10px;
}
.jimu-widget-add-data-categories .switch-toggle.dijitCheckBox:before {
  content: "";
  background: #f8f8f8;
  position: absolute;
  padding: 0;
  height: 12px;
  width: 12px;
  left: auto;
  right: 2px;
  top: 2px;
  z-index: 1;
  -webkit-transition: right 0.3s;
  -moz-transition: right 0.3s;
  -o-transition: right 0.3s;
  transition: right 0.3s;
  -moz-border-radius: 50%;
  -webkit-border-radius: 50%;
  border-radius: 50%;
}
.jimu-widget-add-data-categories .switch-toggle.dijitCheckBox input {
  width: 100%;
  height: 100%;
  position: absolute;
  left: 0;
  z-index: 2;
}
.jimu-widget-add-data-categories .switch-toggle.dijitCheckBox.dijitCheckBoxChecked {
  background: #50ad4e;
}
.jimu-widget-add-data-categories .switch-toggle.dijitCheckBox.dijitCheckBoxChecked:before {
  right: 14px;
}
.jimu-widget-add-data-categories .panel-default > .panel-heading {
  background-color: transparent;
  border-color: #e0e0e0;
}
.jimu-widget-add-data-categories .panel-title {
  font-size: 16px;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}
.jimu-widget-add-data-categories .panel-footer .btn + .btn {
  margin-left: 10px;
}
.jimu-widget-add-data-categories .gp-panel {
  width: 300px;
}
.jimu-widget-add-data-categories .gp-panel > .panel-heading {
  background-color: transparent;
  border-left: 1px solid rgba(0, 0, 0, 0.35);
  color: #efefef;
  height: 40px;
}
.jimu-widget-add-data-categories .gp-panel > .panel-heading .panel-title {
  font-weight: normal;
  line-height: 1.5;
}
.jimu-widget-add-data-categories .gp-panel > .panel-heading [class^="esri-icon-"],
.jimu-widget-add-data-categories .gp-panel > .panel-heading [class*=" esri-icon-"] {
  display: inline-block;
  margin-right: 10px;
  position: relative;
  top: 1px;
}
.jimu-widget-add-data-categories .gp-panel > .panel-heading .btn-icon {
  width: 20px;
  padding: 0;
  color: #efefef;
  float: right;
  margin-right: 0;
  font-size: 16px;
  line-height: 1.25;
  line-height: 20px;
  text-align: center;
}

.jimu-widget-add-data-categories .gp-panel > .panel-body {
  background-color: #f8f8f8;
  border-left: 1px solid #cccccc;
  position: absolute;
  top: 40px;
  bottom: 0;
  width: 100%;
  overflow: auto;
  padding: 0;
}
.jimu-widget-add-data-categories .gp-panel .panel-section {
  background-color: #ffffff;
}
.jimu-widget-add-data-categories .panel-section {
  border-bottom: 1px solid #cccccc;
}
.jimu-widget-add-data-categories .panel-section .section-header {
  display: block;
  font-size: 16px;
  line-height: 1.25;
  line-height: 20px;
  padding: 10px 15px;
}
.jimu-widget-add-data-categories .panel-section .section-header:after {
  content: "";
  display: block;
  clear: both;
}
.jimu-widget-add-data-categories .panel-section .section-header [class^="esri-icon-"],
.jimu-widget-add-data-categories .panel-section .section-header [class*=" esri-icon-"],
.jimu-widget-add-data-categories .panel-section .section-header .btn {
  margin: 0 5px;
  float: right;
}

.jimu-widget-add-data-categories .panel-section .section-header .btn {
  margin: 0;
  min-width: 80px;
}
.jimu-widget-add-data-categories .panel-section .btn.section-header {
  border: 0;
  text-align: left;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  -webkit-transition: all 0.25s ease;
  -moz-transition: all 0.25s ease;
  -o-transition: all 0.25s ease;
  transition: all 0.25s ease;
}
.jimu-widget-add-data-categories .panel-section .btn.section-header:hover {
  background-color: #e2f1fb;
  text-decoration: none;
}
.jimu-widget-add-data-categories .panel-section .btn.section-header:active,
.jimu-widget-add-data-categories .panel-section .btn.section-header:focus {
  background-color: #aadbfa;
  text-decoration: none;
}
.jimu-widget-add-data-categories .panel-section .section-body {
  padding: 10px 15px;
}
.jimu-widget-add-data-categories a, .add-url-pane a {
  display: block;
  color: #196fa6;
  text-decoration: none;
  line-height: 20px;
  padding: 10px 5px;
}
.jimu-widget-add-data-categories .btn.hidden {
  visibility: hidden;
}
.jimu-widget-add-data-categories .search-bbox-option, .search-box {
  display: inline-block;
}
.jimu-widget-add-data-categories .search-box,
.jimu-widget-add-data-categories .search-box-placeholder {
  float: right;
}

.jimu-widget-add-data-categories .search-scope-options,
.jimu-widget-add-data-categories .search-sort-options {
  display: inline-block;
}
.jimu-widget-add-data-categories .search-data-type-options {
  float: left;
}
.jimu-widget-add-data-categories .filter-wrapper,
.jimu-widget-add-data-categories .filter-placeholder {
  float: right;
  display: inline-flex;
}

.jimu-widget-add-data-categories .search-scope-options button.active {
  background-color: #cce6ff;
}
.jimu-widget-add-data-categories .search-results-pane {
  overflow-y: auto;
}
.jimu-widget-add-data-categories .search-paging,
.jimu-widget-add-data-categories .search-result-count {
  display: inline-block;
}
.jimu-widget-add-data-categories .search-paging ul {
  margin: 0;
  padding: 0;
}
.jimu-widget-add-data-categories .search-paging li {
  display: inline-block;
}
.jimu-rtl .jimu-widget-add-data-categories .search-paging li {
  -moz-transform: rotate(180deg);
  -webkit-transform: rotate(180deg);
  -o-transform: rotate(180deg);
  transform: rotate(180deg);
}
.jimu-rtl .jimu-widget-add-data-categories .search-paging li.current-page {
  -moz-transform: rotate(0);
  -webkit-transform: rotate(0);
  -o-transform: rotate(0);
  transform: rotate(0);
}
.jimu-widget-add-data-categories .search-item-card .action-bar {
  margin-left: 20px;
}
.jimu-widget-add-data-categories .search-item-card .action-bar a {
  margin-right: 8px;
}
.jimu-widget-add-data-categories .add-url-pane .url-textbox {
  width: 100%;
  font-size: 12px;
  color: #000000;
}
.jimu-widget-add-data-categories .add-url-pane .examples {
  display: none;
  margin: 15px -15px 0;
  padding: 15px;
  font-size: 12px;
  color: #898989;
  word-wrap: break-word;
}
.jimu-widget-add-data-categories .add-url-pane .examples > div > div {
  margin-bottom: 15px;
}
.jimu-widget-add-data-categories .add-url-pane .examples.show {
  display: block;
}
.jimu-widget-add-data-categories .jimu-tab3 > .jimu-viewstack {
  position: absolute;
  top: 39px;
  left: 0px;
  right: 0;
  bottom: 0;
  padding-bottom: 40px;
}
.jimu-widget-add-data-categories-footer {
  height: 40px;
  overflow: hidden;
  background-color: #f8f8f8;
  border-top: 1px solid #ccc;
  padding: 0 15px;
  color: #898989;
  font-size: 11px;
}
.jimu-widget-add-data-categories-footer [class^="esri-icon-"],
.jimu-widget-add-data-categories-footer [class*=" esri-icon-"] {
  line-height: 20px;
}
.jimu-widget-add-data-categories-footer .layerlist-button {
  text-transform: uppercase;
}
.jimu-widget-add-data-categories-footer .layerlist-button .esri-icon-layers {
  margin: 0 5px;
  vertical-align: middle;
  display: inline-block;
}
.jimu-widget-add-data-categories-footer .message {
  display: block;
  color: #898989;
  line-height: 20px;
  padding: 10px 10px 10px 0;
  text-overflow: ellipsis;
  overflow: hidden;
  word-break: break-all;
  white-space: nowrap;
}
.jimu-widget-add-data-categories.layerlist-show {
  overflow: hidden;
}
.jimu-widget-add-data-categories.layerlist-show .jimu-tab3 {
  -webkit-filter: blur(5px);
  filter: blur(5px);
}
.jimu-widget-add-data-categories.layerlist-show .add-data-categories-layerlist--container {
  -moz-animation: slide-from-right .4s;
  -webkit-animation: slide-from-right .4s;
  animation: slide-from-right .4s;
}
.add-data-categories-widget-layers {
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.3);
  position: absolute;
  top: 0;
  right: 0;
  z-index: 1;
}
.add-data-categories-widget-layers {
  display: none;
}
.add-data-categories-widget-layers.show {
  display: block;
}

.add-data-categories-widget-layers .add-data-categories-layerlist--container {
  background: #fff;
  position: absolute;
  top: 0;
  right: 0;
  width: 320px;
  height: 100%;
  -webkit-transition: width 0.4s ease;
  -moz-transition: width 0.4s ease;
  -o-transition: width 0.4s ease;
  transition: width 0.4s ease;
}
.width-small .add-data-categories-widget-layers .add-data-categories-layerlist--container {
  width: 100%;
}
.add-data-categories-widget-layers .add-data-categories-layerlist--container h2 {
  margin: 0;
  padding: 7px 15px;
  border-bottom: 1px solid #ccc;
  color: #898989;
  font-size: 14px;
  font-weight: normal;
  line-height: 2;
}
.add-data-categories-layerlist--list {
  width: 100%;
  padding: 10px 15px;
  line-height: 20px;
  position: absolute;
  top: 45px;
  bottom: 40px;
  overflow: auto;
}
.add-data-categories-layerlist--listitem {
  margin-bottom: 5px;
}
.add-data-categories-layerlist--listitem:after {
  content: "";
  display: table;
  clear: both;
}
.add-data-categories-layerlist--listitem .remove-button {
  float: right;
  padding: 5px 10px;
}
.add-data-categories-layerlist--listitem .layer-name {
  display: block;
  padding-top: 5px;
}
.add-data-categories-widget-layers .add-data-categories-layerlist--footer {
  width: 100%;
  position: absolute;
  bottom: 0;
}
.add-data-categories-widget-layers .back-button {
  float: right;
  text-transform: uppercase;
}
.add-data-categories-widget-layers .back-button i {
  display: inline-block;
  margin-left: 5px;
}
.add-data-categories-widget-layers .no-data-message {
  color: #898989;
  padding: 25px;
  text-align: center;
}
.add-data-categories-widget-popup {
  padding: 0;
}
.add-data-categories-widget-popup .dijitTooltipConnector {
  display: none;
}
.add-data-categories-widget-popup .dijitTooltipContainer {
  padding: 10px;
  border-color: #ccc;
  -moz-border-radius: 0;
  -webkit-border-radius: 0;
  border-radius: 0;
  -webkit-box-shadow: 0 1px 3px rgba(0, 0, 0, 0.25);
  -moz-box-shadow: 0 1px 3px rgba(0, 0, 0, 0.25);
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.25);
}
.add-data-categories-widget-popup.dijitMenuPopup {
  -webkit-box-shadow: 0 1px 3px rgba(0, 0, 0, 0.25);
  -moz-box-shadow: 0 1px 3px rgba(0, 0, 0, 0.25);
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.25);
}
.add-data-categories-widget-popup .dijitMenu {
  border-color: #ccc;
}
.add-data-categories-widget-popup .dijitMenu .dijitMenuItem td {
  padding: 10px 15px;
  border: 0;
}
.add-data-categories-widget-popup .dijitMenu .dijitMenuItemHover td,
.add-data-categories-widget-popup .dijitMenu .dijitMenuItemActive td,
.add-data-categories-widget-popup .dijitMenu .dijitMenuItemSelected td {
  background-color: #f4f4f4;
  background-image: none;
}
.add-data-categories-widget-popup .dijitMenu .dijitSelectSelectedOption td,
.add-data-categories-widget-popup .dijitMenu .dijitSelectSelectedOption.dijitMenuItemHover td,
.add-data-categories-widget-popup .dijitMenu .dijitSelectSelectedOption.dijitMenuItemSelected td {
  background-color: #196fa6;
  background-image: none;
  color: #fff;
  font-weight: normal;
}
.LaunchpadTheme .jimu-widget-add-data-categories.jimu-widget {
  position: absolute;
}
.LaunchpadTheme .jimu-widget-add-data-categories .search-pane .item-card h3.title {
  height: auto;
  width: auto;
  position: static;
}
.LaunchpadTheme .jimu-widget-add-data-categories .dijitSelect.dijitSelectFocused .dijitArrowButton,
.LaunchpadTheme .jimu-widget-add-data-categories .dijitDropDownButton .dijitButtonNode.dijitSelectFocused .dijitArrowButton {
  padding: 5px;
}
.LaunchpadTheme .jimu-widget-add-data-categories .dijitButton .dijitButtonNode,
.LaunchpadTheme .jimu-widget-add-data-categories .dijitDropDownButton .dijitButtonNode,
.LaunchpadTheme .jimu-widget-add-data-categories .dijitComboButton .dijitButtonNode,
.LaunchpadTheme .jimu-widget-add-data-categories .dijitToggleButton .dijitButtonNode {
  color: #196fa6;
  font-size: inherit;
  letter-spacing: 0;
}
.LaunchpadTheme .jimu-widget-add-data-categories .dijitSelect,
.LaunchpadTheme .jimu-widget-add-data-categories .dijitButton .dijitButtonNode,
.LaunchpadTheme .jimu-widget-add-data-categories .dijitDropDownButton .dijitButtonNode,
.LaunchpadTheme .jimu-widget-add-data-categories .dijitComboButton .dijitButtonNode,
.LaunchpadTheme .jimu-widget-add-data-categories .dijitToggleButton .dijitButtonNode {
  background-color: transparent;
  border: 0;
}
.LaunchpadTheme .jimu-widget-add-data-categories .secondary-pane .jimu-btn {
  background-color: #3b8fc4;
  border: 0;
}
.LaunchpadTheme .jimu-widget-add-data-categories .secondary-pane .jimu-btn:hover {
  background-color: #2c6b93;
}

.DartTheme .jimu-widget-add-data-categories .search-pane {
  background-color: transparent;
}
.DartTheme .jimu-widget-add-data-categories .search-pane .search-bar {
  background-color: transparent;
}
.DartTheme .jimu-widget-add-data-categories .search-pane .search-bar-secondary {
  background: #3a3a3a;
}
.DartTheme .jimu-widget-add-data-categories .secondary-pane {
  background-color: transparent;
}
.DartTheme .jimu-widget-add-data-categories .search-pane-content {
  background-color: #222;
}
.DartTheme .jimu-tab3 .tab-item-td.jimu-state-active {
  background: #4C4C4C;
}
.DartTheme .jimu-widget-add-data-categories .search-pane .search-bar-separator,
.DartTheme .jimu-widget-add-data-categories .search-pane .search-pane-header {
  border-bottom: 1px solid #262626;
}
.DartTheme .jimu-widget-add-data-categories .search-box2 .search-textbox {
  background: #393939;
  border: 0;
  -moz-border-radius: 2px;
  -webkit-border-radius: 2px;
  border-radius: 2px;
}
.DartTheme .jimu-widget-add-data-categories.width-small .search-box2 .search-textbox {
  width: 100px;
}
.DartTheme .jimu-widget-add-data-categories .search-box2 .btn {
  background: #393939;
  border: 0;
}
.DartTheme .jimu-widget-add-data-categories .search-pane .item-card .item-card-inner {
  background: #4c4c4c;
  border-color: #787878;
}
.DartTheme .jimu-widget-add-data-categories .search-pane .item-card h3.title {
  height: auto;
  width: auto;
  position: static;
}
.DartTheme .jimu-widget-add-data-categories.width-medium .filter-wrapper.show,
.DartTheme .jimu-widget-add-data-categories.width-medium .btn-group.show,
.DartTheme .jimu-widget-add-data-categories.width-small .filter-wrapper.show,
.DartTheme .jimu-widget-add-data-categories.width-small .btn-group.show {
  background: #393939;
  border: 1px solid #7f8183;
  -webkit-box-shadow: 0 2px 3px rgba(0,0,0,0.15);
  -moz-box-shadow: 0 2px 3px rgba(0,0,0,0.15);
  box-shadow: 0 2px 3px rgba(0,0,0,0.15);
}
.DartTheme .jimu-widget-add-data-categories.width-medium .btn-group.show .btn:hover,
.DartTheme .jimu-widget-add-data-categories.width-small .btn-group.show .btn:hover {
  background-color: #222;
}
.DartTheme .jimu-widget-add-data-categories .search-pane .search-bar .btn-group > .btn.active,
.DartTheme .jimu-widget-add-data-categories .search-pane .search-bar .btn-group > .btn.active:active,
.DartTheme .jimu-widget-add-data-categories .search-pane .search-bar .btn-group > .btn.active:hover {
  color: #f8f8f8 !important;
}
.DartTheme .jimu-widget-add-data-categories .search-pane .search-sort-options label {
  color: #a7a7a7 !important;
}
.DartTheme .jimu-widget-add-data-categories .secondary-pane {
  border-bottom: 0;
}
.DartTheme .jimu-widget-add-data-categories .search-pane .item-card div.info {
  color: #ddd !important;
}
.DartTheme  .jimu-widget-add-data-categories .search-pane .item-card .action-bar a,
.DartTheme  .jimu-widget-add-data-categories .add-url-pane .action-bar a,
.DartTheme  .jimu-widget-add-data-categories .add-file-pane .file-form label {
  color: #15a4fa !important;
}
.DartTheme .jimu-widget-add-data-categories .dijitDropDownButton .dijitButtonNode {
  padding: 7px;
}
.DartTheme .jimu-widget-add-data-categories .dijitSelect {
  background-color: transparent;
  border: 0;
}
.DartTheme .jimu-widget-add-data-categories .dijitSelect .dijitArrowButton {
  background-color: transparent;
  border: 0;
}
.DartTheme .jimu-widget-add-data-categories.width-medium .scope-placeholder .dropdown-arrow,
.DartTheme .jimu-widget-add-data-categories.width-small .scope-placeholder .dropdown-arrow,
.DartTheme .jimu-widget-add-data-categories .dijitDropDownButton .dijitArrowButtonInner,
.DartTheme .jimu-widget-add-data-categories .dijitSelect .dijitArrowButton .dijitArrowButtonInner,
.DartTheme .jimu-widget-add-data-categories .dijitSelectHover .dijitArrowButton .dijitArrowButtonInner,
.DartTheme .jimu-widget-add-data-categories .dijitSelectFocused .dijitArrowButton .dijitArrowButtonInner {
  background-image: url("images/down-arrow_white.png");
}
.DartTheme .jimu-widget-add-data-categories.width-medium .search-box-placeholder,
.DartTheme .jimu-widget-add-data-categories.width-medium .filter-placeholder,
.DartTheme .jimu-widget-add-data-categories.width-small .search-box-placeholder,
.DartTheme .jimu-widget-add-data-categories.width-small .filter-placeholder {
  background-image: url("images/search_white.png");
}
.DartTheme .jimu-widget-add-data-categories.width-medium .filter-placeholder,
.DartTheme .jimu-widget-add-data-categories.width-small .filter-placeholder {
    background-image: url("images/menu_white.png");
}
.DartTheme .jimu-widget-add-data-categories.width-medium .search-box-placeholder.opened,
.DartTheme .jimu-widget-add-data-categories.width-small .search-box-placeholder.opened {
    background-image: url("images/close_white.png");
}
.DartTheme.add-data-categories-widget-popup .dijitTooltipContainer {
  color: #f8f8f8;
  background: #4c4c4c;
  border: 1px solid #7f8183;
  -webkit-box-shadow: 0 2px 3px rgba(0,0,0,0.15);
  -moz-box-shadow: 0 2px 3px rgba(0,0,0,0.15);
  box-shadow: 0 2px 3px rgba(0,0,0,0.15);
}
.DartTheme .add-data-categories-widget-layers .add-data-categories-layerlist--container {
  background-color: #4c4c4c;
}
.DartTheme .add-data-categories-widget-layers .add-data-categories-layerlist--container h2 {
  border-color: #262626;
}
.DartTheme .jimu-widget-add-data-categories-footer,
.DartTheme .add-data-categories-widget-layers .add-data-categories-layerlist--footer {
  background-color: transparent;
  border-top-color: #262626;
}
.DartTheme .jimu-widget-add-data-categories .add-url-pane-container {
  background-color: transparent;
  border-color: transparent;
}
.DartTheme .jimu-widget-add-data-categories .add-url-pane .action-bar a {
  padding-top: 0;
  padding-bottom: 0;
}
.DartTheme .jimu-widget-add-data-categories .add-url-pane .action-bar .jimu-btn {
  min-width: 140px;
}
.DartTheme .jimu-widget-add-data-categories .add-file-pane .drop-area {
  background: transparent;
  border-color: #ccc;
}
.DartTheme .jimu-widget-add-data-categories.height-small .add-file-pane .drop-area {
  padding-left: 15px;
  padding-right: 15px;
}

.jimu-rtl .jimu-widget-add-data-categories .search-pane .item-card {
  float: right;
}
.jimu-rtl .jimu-widget-add-data-categories .search-pane .item-card .thumbnail {
  float: right;
  margin-left: 10px;
  margin-right: 0;
}
.jimu-rtl .jimu-widget-add-data-categories .search-pane .search-bbox-option .checkbox-inline {
  padding-left: auto;
  padding-right: 38px;
  margin-right: auto;
  margin-left: 25px;
}
.jimu-rtl .jimu-widget-add-data-categories .search-box2 {
  float: left;
}
.jimu-rtl .jimu-widget-add-data-categories .search-box2 .btn {
  margin-left: auto;
  margin-right: -1px;
}
.jimu-rtl .jimu-widget-add-data-categories .search-pane .search-sort-options .sort-order-icon {
  float: left;
}
.jimu-rtl .jimu-widget-add-data-categories .search-box, .search-box-placeholder {
  float: left;
}
.jimu-rtl .jimu-widget-add-data-categories .search-data-type-options {
  float: right;
}
.jimu-rtl .jimu-widget-add-data-categories .filter-wrapper,
.jimu-rtl .jimu-widget-add-data-categories .filter-placeholder {
  float: left;
}
.jimu-rtl .jimu-widget-add-data-categories .switch-toggle-group .checkbox-inline {
  padding-left: auto;
  padding-right: 36px;
}
.jimu-rtl .jimu-widget-add-data-categories .switch-toggle-group .switch-toggle.dijitCheckBox {
  margin-left: auto;
  margin-right: -36px;
}
.jimu-rtl .jimu-widget-add-data-categories .gp-panel > .panel-heading .btn-icon {
  float: left;
}
.jimu-rtl .jimu-widget-add-data-categories .panel-section .section-header [class^="esri-icon-"],
.jimu-rtl .jimu-widget-add-data-categories .panel-section .section-header [class*=" esri-icon-"],
.jimu-rtl .jimu-widget-add-data-categories .panel-section .section-header .btn {
  float: left;
}
.jimu-rtl .jimu-widget-add-data-categories .search-box,
.jimu-rtl .jimu-widget-add-data-categories .search-box-placeholder {
  float: left;
}

.jimu-rtl .jimu-widget-add-data-categories .search-data-type-options {
  float: right;
}
.jimu-rtl .jimu-widget-add-data-categories .filter-wrapper,
.jimu-rtl .jimu-widget-add-data-categories .filter-placeholder {
  float: left;
}
.jimu-widget-add-data-categories .add-file-pane .or b {
  padding-left: 5px;
  padding-right: 0;
}
.jimu-rtl .jimu-widget-add-data-categories .add-file-pane .drop-area a.drop-area-hint {
  left: 0;
  right: auto;
}
.jimu-rtl .add-data-categories-widget-layers .add-data-categories-layerlist--container {
  left: 0;
  right: auto;
}
.jimu-rtl .jimu-widget-add-data-categories.layerlist-show .add-data-categories-layerlist--container {
  -moz-animation: slide-from-left .4s;
  -webkit-animation: slide-from-left .4s;
  animation: slide-from-left .4s;
}
.jimu-rtl .add-data-categories-layerlist--listitem .remove-button {
  float: left;
}
.jimu-rtl .add-data-categories-widget-layers .back-button {
  float: left;
}
.jimu-rtl .add-data-categories-widget-layers .back-button i {
  margin-left: 0;
  margin-right: 5px;
}
.jimu-rtl .add-data-categories-widget-layers .back-button i.esri-icon-collapse:before {
  content: "\e631";
}

.ar .esri-icon-question {
  -webkit-transform: rotateY(180deg);
  transform: rotateY(180deg);
  display: inline-block;
}

.jimu-widget-add-data-categories .search-results.ele-cat a.jimu-btn{
  width: 80%;
  color: white;
  margin: 10px auto;
}

.jimu-widget-add-data-categories .search-results.ele-cat .search-results{
  display: none;
}

@-moz-keyframes updload-arrow-animation {
  0% {
    -moz-transform: translateY(0px);
  }
  50% {
    -moz-transform: translateY(-10px);
  }
  100% {
    -moz-transform: translateY(0px);
  }
}
@-webkit-keyframes updload-arrow-animation {
  0% {
    -webkit-transform: translateY(0px);
  }
  50% {
    -webkit-transform: translateY(-10px);
  }
  100% {
    -webkit-transform: translateY(0px);
  }
}
@keyframes updload-arrow-animation {
  0% {
    transform: translateY(0px);
  }
  50% {
    transform: translateY(-10px);
  }
  100% {
    transform: translateY(0px);
  }
}

@-moz-keyframes slide-from-right {
  0% {
    -moz-transform: translateX(50%);
    opacity: 0.5;
  }
  100% {
    -moz-transform: translateX(0%);
    opacity: 1;
  }
}
@-webkit-keyframes slide-from-right {
  0% {
    -webkit-transform: translateX(50%);
    opacity: 0.5;
  }
  100% {
    -webkit-transform: translateX(0%);
    opacity: 1;
  }
}
@keyframes slide-from-right {
  0% {
    transform: translateX(50%);
    opacity: 0.5;
  }
  100% {
    transform: translateX(0%);
    opacity: 1;
  }
}

@-moz-keyframes slide-from-left {
  0% {
    -moz-transform: translateX(-50%);
    opacity: 0.5;
  }
  100% {
    -moz-transform: translateX(0%);
    opacity: 1;
  }
}
@-webkit-keyframes slide-from-left {
  0% {
    -webkit-transform: translateX(-50%);
    opacity: 0.5;
  }
  100% {
    -webkit-transform: translateX(0%);
    opacity: 1;
  }
}
@keyframes slide-from-left {
  0% {
    transform: translateX(-50%);
    opacity: 0.5;
  }
  100% {
    transform: translateX(0%);
    opacity: 1;
  }
}
